<?php
//用户选择的语言类型
if($language == 'eng'){
	require("../sub_inc/sub_english.inc");
}else{
	require("../sub_inc/sub_chinese_gb.inc");
}

if($thisOmcType==1){
	$DEFAULT_SYS="GMSC";
}elseif($thisOmcType==9){
	$DEFAULT_SYS="HBSC";
}elseif($thisOmcType==10){
	$DEFAULT_SYS="SN";
}else{
	$DEFAULT_SYS="MSC";
}

//****************************************************************
//函数:
//	decodeTelNumber($srcNumber,$keepLenCode='E')
//功能说明:
//	将一个按OSI编码方案编码的国际电话号码$srcNumber,解码成一般的电话号码
//
//
//参数说明: 
//     $keepLenCode,补位字符一般为'E'或'F'
//
//返回值：
//	解码后的一般电话号码
//
//作者：
//      
//修改注释：      
//NO.1      
//姓名：            
//时间：      
//修改说明：    
//----------------------------------------------------------
function decodeTelNumber($srcNumber,$keepLenCode='E')
{
	$srcNumber=substr($srcNumber,2);	//去掉前面的编号计划,例:'91'
	$srcNumber=str_replace($keepLenCode,'',$srcNumber);  //去掉后面的'E'
	return($srcNumber);
}

//****************************************************************
//函数:
//	encodeTelNumber($srcNumber,$len='16',$keepLenCode='E',$planCode='91')
//功能说明:
//	将一个一般的电话号码$srcNumber,按OSI编码方案编码成国际电话号码
//
//
//参数说明: 
//     $keepLenCode='E',	补位字符，一般为'E'或'F',模认为E
//	   $planCode='91',		编码方案代码，一般91,模认为E
//返回值：
//	编码后的国际电话号码
//
//作者：
//      
//修改注释：      
//NO.1      
//姓名：            
//时间：      
//修改说明：    
//----------------------------------------------------------
function encodeTelNumber($srcNumber,$len='18',$keepLenCode='E',$planCode='91')
{
	$DEBUG=0;
	if($DEBUG) echo "<br>srcNumber 1=$srcNumber";
	$valueLen=strlen($srcNumber);
	if($valueLen == $len){
		return($srcNumber);
	}elseif($valueLen > 0){
		$srcNumber = $planCode.$srcNumber;
		$valueLen=strlen($srcNumber);
		for($i=$len; $i>$valueLen; $i--){
			$srcNumber .=$keepLenCode;
			if($DEBUG) echo "<br>srcNumber 2=$srcNumber";
		}
	}else{
		for($i=0; $i<$len; $i++){
			$srcNumber .=$keepLenCode;
		}
	}
	if($DEBUG) echo "<br>srcNumber 3=$srcNumber";
	return($srcNumber);
}

function getLevelWhere($objIdStr)
{
	$levelArr=explode('.',$objIdStr);
	for($j=0;$j<sizeof($levelArr);$j++){
		$levelNo=$j+1;
		${"level_$levelNo"}=$levelArr[$j];
		if($DEBUG) echo "<BR>levelArr[$j]={$levelArr[$j]}";
		if($j == 0){
			$levelWhere ="level_$levelNo='${"level_$levelNo"}'";
		}else{
			$levelWhere .=" AND level_$levelNo='${"level_$levelNo"}'";
		}
	}
	return($levelWhere);
}

function omcStrFill($string,$defLen,$fillWay='high',$fillChar='0'){
	if(strlen($string) <= $defLen){
		$fillLen=$defLen - strlen($string);
		for($i=0;$i<$fillLen;$i++){
			if($fillWay == 'low'){
				$string = $string.$fillChar;
			}else{
				$string = $fillChar.$string;
			}
		}
		return($string);
	}else{
		$errorInfo = "Error in omcStrFill:the defLen < lengh of string!!\\ndefLen=$defLen and string=$string!!";
		echo "<script language='javascript'>";  
		
		echo "window.alert(\"$errorInfo\");";	
		echo "history.go(-1)";
		echo "</script>";						
		exit();
		
		echo "<br>Error in omcStrFill : the defLen < lengh of string!!";
		echo "<br>defLen=$defLen and string=$string!!";
		exit();
	}
}

?>
